package cn.muchinfo.rma.netcore.socket;

import cn.muchinfo.rma.netcore.packet.Packet40;
import cn.muchinfo.rma.netcore.packet.Packet50;

/**
 * 回调类
 * @param <T> Packet40 or Packet50
 */
public interface Callback<T> {
    /**
     * 成功回调
     * @param rsp 回复报文
     */
    void onSuccess(T rsp);

    /**
     * 失败回调
     * @param err 错误
     */
    void onFail(Error err);
}
